# WOK
TKWOK
WOKStep

# WOKStep_ToolkitSource Class Reference

Computes Toolkit Source File
List.
.

`#include <WOKStep_ToolkitSource.hxx>`

Inheritance diagram for WOKStep_ToolkitSource:

[legend]

## Public Member Functions

Standard_EXPORT | WOKStep_ToolkitSource (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT Handle_WOKernel_File | GetPACKAGES () const
Standard_EXPORT void | AddPACKAGES (const Handle(WOKMake_InputFile)&unitcdl)

## Private Member Functions

virtual Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes step Computes output files .

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_ToolkitSource::WOKStep_ToolkitSource | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

Standard_EXPORT void WOKStep_ToolkitSource::AddPACKAGES | ( | const Handle(WOKMake_InputFile)& | unitcdl | ) | `[protected]`

virtual Standard_EXPORT void WOKStep_ToolkitSource::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[private, virtual]`

| Reimplemented from WOKStep_Source.

Standard_EXPORT Handle_WOKernel_File WOKStep_ToolkitSource::GetPACKAGES | ( |  | ) | const`[protected]`

Standard_EXPORT const WOKStep_ToolkitSource::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKStep_Source.

The documentation for this class was generated from the following file:

- WOKStep_ToolkitSource.hxx